package com.prolog.cs.biz.inbound.service.rcv;

import com.prolog.cs.biz.inbound.dto.PageParam;
import com.prolog.cs.biz.inbound.dto.rcv.RcvLinesProfilesDTO;
import com.prolog.framework.authority.core.dto.UserDTO;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

/**
 * @Description
 * @Date 2021-03-24
 */

public interface RcvLinesProfilesService {

	/**
	 * @param row
	 * @param userDTO
	 * @Description
	 * @Date 2021-03-24 add RcvLinesProfilesDTO
	 */
	public Object add(RcvLinesProfilesDTO rcvLinesProfilesDTO);

	/**
	 * @Description
	 * @Date 2021-03-24 edit RcvLinesProfilesDTO
	 */
	public Object edit(String pkId, RcvLinesProfilesDTO rcvLinesProfilesDTO);

	/**
	 * @Description
	 * @Date 2021-03-24 delete RcvLinesProfilesDTO
	 */
	public Object deletePkId(String pkId);

	/**
	 * @Description
	 * @Date 2021-03-24 delete RcvLinesProfilesDTO
	 */
	public Object delIds(List<String> pkIdList);

	/**
	 * @Description
	 * @Date 2021-03-24 page condition search RcvLinesProfilesDTO
	 */
	public Page<RcvLinesProfilesDTO> findList(RcvLinesProfilesDTO rcvLinesProfilesDTO, PageParam pageParam);

	/**
	 * @Description
	 * @Date 2021-03-24 batchAdd RcvLinesProfilesDTO
	 */
	public Object batchAdd(List<RcvLinesProfilesDTO> rcvLinesProfilesDTOList);

	/**
	 * @Description
	 * @Date 2021-03-24 batchEdit RcvLinesProfilesDTO
	 */
	public Object batchEdit(List<RcvLinesProfilesDTO> rcvLinesProfilesDTOList);

	/**
	 * @Description
	 * @Date 2021-03-24 condition search all RcvLinesProfilesDTO
	 */
	public List<RcvLinesProfilesDTO> findAll(RcvLinesProfilesDTO rcvLinesProfilesDTO);

	/**
	 * @Description
	 * @Date 2021-03-24 findOne RcvLinesProfilesDTO
	 */
	public RcvLinesProfilesDTO findByPkId(String pkId);

	public Object add(RcvLinesProfilesDTO rcvLinesProfilesDTO, UserDTO userDTO, int row);

	public List<RcvLinesProfilesDTO> searchByIdList(List<String> rcvLineIdList);
}
